Subject: Re: bug#27212: 203a9455c4695152fc5d0085bffeead9ce3216c2 broke system boot
From: ng0 <[email-masked]>
To: [email-masked]
Date: Sun, 4 Jun 2017 11:14:37 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

ng0 transcribed 0.5K bytes:
> Otherwise perfectly working systems I have *all* break after
> https://git.savannah.gnu.org/cgit/guix.git/commit/?id=203a9455c4695152fc5d0085bffeead9ce3216c2
> 
> and the last thing  they display before guile repl is the
> message in that commit.
> 
> Yes, I use labels. No, I don't use complicated setups.
> Please test such changes before applying them in the wild..
> I just hope this happened here and the break is a mistake.
> -- 
> ng0
> OpenPG: A88C8ADD129828D7EAC02E52E22F9BBFEE348588

Okay, this has been fixed. Thanks!
I just booted into a functional generation.

I'm closing this bug, in the future let's come up
with ideas how to prevent this.
It is not good PR to collectively send everyone into
the guile repl.

I started discussing about solutions to this offline already
and in other channels.

Thanks!
-- 
ng0
OpenPG: A88C8ADD129828D7EAC02E52E22F9BBFEE348588